% function to compute the angle of arrival for sysG at zero z
% GFF, AEN copyright 2004
function th=angarr(sysG,z)
z1=[1 -z];
[n,d]=tfdata(sysG,'v');
n1=deconv(n,z1);
thz=angle(polyval(n1,z));
thp=angle(polyval(d,z));
thd=pi-thz+thp;
th=thd*180/pi;