% function to compute the root locus break-in and breakaway points for sysG 
% AEN copyright 2004
function [pp,k]=breaks(sysG)
[n,d]=tfdata(sysG,'v');
p=roots(d);
nn=size(p,1);
dn=n.*[nn:-1:0];
dd=d.*[nn:-1:0];
numerator=conv(n,dd(1:nn))-conv(d,dn(1:nn));
pp=roots(numerator);
%test to remove extraneous answers
thz=angle(polyval(n,pp));
thp=angle(polyval(d,pp));
ang=(thz-thp)*180/pi;
idx=find(abs(ang)==180);
pp=pp(idx);
k=-polyval(d,pp)./polyval(n,pp);
 